summaryrefslogtreecommitdiffstats
path: root/abs/core/xymon/hobbit-myth-orphan.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/xymon/hobbit-myth-orphan.sh')
-rw-r--r--abs/core/xymon/hobbit-myth-orphan.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/abs/core/xymon/hobbit-myth-orphan.sh b/abs/core/xymon/hobbit-myth-orphan.sh
index 5cba136..cc4ca30 100644
--- a/abs/core/xymon/hobbit-myth-orphan.sh
+++ b/abs/core/xymon/hobbit-myth-orphan.sh
@@ -5,34 +5,34 @@ MYTHCONFDIR=/usr/share/mythtv /usr/LH/bin/find_orphans.py --printonly > $TMPFILE
COLUMN=orphan # Name of the column
COLOR=green # By default, everything is OK
-MSG="All OK"
+MSG="No Orphans Found."
#yellow
-for i in "Orphaned video files" "Orphaned snapshots" "Database backups" "Other files"
+for i in "Orphaned video files" "Orphaned snapshots" "Database backups" "Other files" "Recordings with missing files" "Zero byte recordings"
do
grep -q "$i" $TMPFILE
status=$?
if [ $status -eq 0 ]
then
COLOR="yellow"
- MSG="Problems found"
+ MSG="Problems with $i"
fi
done
#red
-for i in "Recordings with missing files" "Zero byte recordings"
-do
- grep -q "$i" $TMPFILE
- status=$?
- if [ $status -eq 0 ]
- then
- COLOR="red"
- MSG="Problems found"
- fi
-done
+#for i in "Recordings with missing files" "Zero byte recordings"
+#do
+# grep -q "$i" $TMPFILE
+# status=$?
+# if [ $status -eq 0 ]
+# then
+# COLOR="red"
+# MSG="Problems with $i"
+# fi
+#done
MSG="
${MSG}